package admin_api_controllers

import "github.com/astaxie/beego"

// 管理员后台路由，以 /admin/api 为前缀
func AdminAPIControllersRegisterRouters() {
	beego.Router("/admin/api/login/pwd", &LoginAPIController{}, "get:LoginByPwd")
	beego.Router("/admin/api/system/user", &SystemApiController{}, "get:GetUserList")
	beego.Router("/admin/api/user/create", &SystemApiController{}, "post:CreateAdminUser")
	beego.Router("/admin/api/user/info", &SystemApiController{}, "get:GetAdminUserInfo")
	beego.Router("/admin/api/user/edit", &SystemApiController{}, "post:ModifyAdminUser")
	beego.Router("/admin/api/user/delete", &SystemApiController{}, "post:DeleteAdminUser")
	//beego.Router("/admin/api/orgs/list", &SystemApiController{}, "get:GetOrgs")

	beego.Router("/admin/api/home/statistics", &AnalysisAPIController{}, "get:HomeStatistics")
	beego.Router("/admin/api/custom/create", &CustomAPIController{}, "post:CreateCustom")
	beego.Router("/admin/api/custom/edit", &CustomAPIController{}, "post:ModifyCustom")
	beego.Router("/admin/api/custom/list", &CustomAPIController{}, "get:GetCustomList")
	beego.Router("/admin/api/custom/get", &CustomAPIController{}, "get:GetCustom")
	//beego.Router("/admin/api/checkcustom/get", &CustomAPIController{}, "get:GetWaitCheckCustom")

	beego.Router("/admin/api/paymentcollection/create", &CustomAPIController{}, "post:CreatePaymentCollection")
	beego.Router("/admin/api/paymentcollection/get", &CustomAPIController{}, "get:GetPaymentCollection")
	beego.Router("/admin/api/paymentcollection/list", &CustomAPIController{}, "get:GetPaymentCollectionList")
	beego.Router("/admin/api/paymentcollection/edit", &CustomAPIController{}, "post:EditPaymentCollection")
	beego.Router("/admin/api/paymentcollection/delete", &CustomAPIController{}, "post:DeletePaymentCollection")
	beego.Router("/admin/api/paymentcollection/check", &CustomAPIController{}, "post:CheckPaymentCollection")

	beego.Router("/admin/api/contact/create", &CustomAPIController{}, "post:CreateContactInfo")
	beego.Router("/admin/api/contact/get", &CustomAPIController{}, "get:GetContactInfo")
	beego.Router("/admin/api/contact/list", &CustomAPIController{}, "get:GetContactInfoList")
	beego.Router("/admin/api/contact/edit", &CustomAPIController{}, "post:EditContactInfo")
	beego.Router("/admin/api/contact/delete", &CustomAPIController{}, "post:DeleteContactInfo")
	beego.Router("/admin/api/contact/check", &CustomAPIController{}, "post:CheckContactInfo")

	beego.Router("/admin/api/contract/create", &CustomAPIController{}, "post:CreateContractInfo")
	beego.Router("/admin/api/contract/get", &CustomAPIController{}, "get:GetContractInfo")
	beego.Router("/admin/api/contract/list", &CustomAPIController{}, "get:GetContractInfoList")
	beego.Router("/admin/api/contract/edit", &CustomAPIController{}, "post:EditContractInfo")
	beego.Router("/admin/api/contract/delete", &CustomAPIController{}, "post:DeleteContractInfo")
	beego.Router("/admin/api/contract/check", &CustomAPIController{}, "post:CheckContractInfo")

	beego.Router("/admin/api/follow/create", &CustomAPIController{}, "post:CreateFollowInfo")
	beego.Router("/admin/api/follow/get", &CustomAPIController{}, "get:GetFollowInfo")
	beego.Router("/admin/api/follow/list", &CustomAPIController{}, "get:GetFollowInfoList")
	beego.Router("/admin/api/follow/edit", &CustomAPIController{}, "post:EditFollowInfo")
	beego.Router("/admin/api/follow/delete", &CustomAPIController{}, "post:DeleteFollowInfo")
	beego.Router("/admin/api/follow/check", &CustomAPIController{}, "post:CheckFollowInfo")

	beego.Router("/admin/api/demand/create", &CustomAPIController{}, "post:CreateDemandInfo")
	beego.Router("/admin/api/demand/get", &CustomAPIController{}, "get:GetDemandInfo")
	beego.Router("/admin/api/demand/list", &CustomAPIController{}, "get:GetDemandInfoList")
	beego.Router("/admin/api/demand/edit", &CustomAPIController{}, "post:EditDemandInfo")
	beego.Router("/admin/api/demand/delete", &CustomAPIController{}, "post:DeleteDemandInfo")
	beego.Router("/admin/api/demand/check", &CustomAPIController{}, "post:CheckDemandInfo")

	beego.Router("/admin/api/renewal/create", &CustomAPIController{}, "post:CreateRenewalInfo")
	beego.Router("/admin/api/renewal/get", &CustomAPIController{}, "get:GetRenewalInfo")
	beego.Router("/admin/api/renewal/list", &CustomAPIController{}, "get:GetRenewalInfoList")
	beego.Router("/admin/api/renewal/edit", &CustomAPIController{}, "post:EditRenewalInfo")
	beego.Router("/admin/api/renewal/delete", &CustomAPIController{}, "post:DeleteRenewalInfo")
	beego.Router("/admin/api/renewal/check", &CustomAPIController{}, "post:CheckRenewalInfo")

	beego.Router("/api/qiniu/uptoken", &CustomAPIController{}, "get:GetQNUpToken")

}
